<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>lib.Xai.trade</name>
<version>5</version>
<engineversion>25</engineversion>
<description>Handles trading at stations</description>
<arguments>
<argument index="1" name="cmd" type="Var/String" desc="Command" />
<argument index="2" name="Ware" type="Var/Ware" desc="Ware" />
<argument index="3" name="amount" type="Var/Number" desc="Quantity" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporaton.</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>buy,&#160;sell</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>check&#160;we&#160;are&#160;docked</var></comment></line>
<line linenr="007" indent=""><var>skip&#160;if&#160;</var><var>[DOCKEDAT]</var></line>
<line linenr="008" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><comment><text>*&#160;</text><var>&#160;get&#160;current&#160;amount&#160;in&#160;hold</var></comment></line>
<line linenr="011" indent=""><var>$cur.amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="012" indent=""></line>
<line linenr="013" indent=""><comment><text>*&#160;</text><var>--------------------------------------</var></comment></line>
<line linenr="014" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;Start&#160;command&#160;switch</var></comment></line>
<line linenr="015" indent=""><comment><text>*&#160;</text><var>--------------------------------------</var></comment></line>
<line linenr="016" indent=""></line>
<line linenr="017" indent=""><comment><text>*&#160;</text><var>do&#160;nothing&#160;if&#160;amount&#160;is&#160;0</var></comment></line>
<line linenr="018" indent=""><var>if&#160;</var><var>$amount</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="019" indent="&#160;"><text>return&#160;</text><var>0</var></line>
<line linenr="020" indent="&#160;"></line>
<line linenr="021" indent=""><comment><text>*&#160;</text><var>---Buying---</var></comment></line>
<line linenr="022" indent=""><var>else&#160;if&#160;</var><var>$cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'buy'</var></line>
<line linenr="023" indent="&#160;"></line>
<line linenr="024" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;set&#160;amount&#160;if&#160;not&#160;set</var></comment></line>
<line linenr="025" indent="&#160;"><var>skip&#160;if&#160;</var><var>$amount</var></line>
<line linenr="026" indent="&#160;&#160;"><var>$amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="027" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;buy&#160;ware</var></comment></line>
<line linenr="028" indent="&#160;"><var>$bought.amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;buy&#160;</text><var>$amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="029" indent="&#160;"></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;work&#160;around&#160;for&#160;buy&#160;upgrades&#160;game&#160;breaking&#160;feature</var></comment></line>
<line linenr="031" indent="&#160;"><var>$owner.race&#160;=&#160;</var><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="032" indent="&#160;"><var>if&#160;</var><var>$owner.race</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Player</var></line>
<line linenr="033" indent="&#160;&#160;"><var>$maintype&#160;=&#160;</var><text>&#160;get&#160;maintype&#160;of&#160;ware&#160;</text><var>$Ware</var></line>
<line linenr="034" indent="&#160;&#160;"><var>$subtype&#160;=&#160;</var><text>&#160;get&#160;subtype&#160;of&#160;ware&#160;</text><var>$Ware</var></line>
<line linenr="035" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$maintype</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>16</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$subtype</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>11</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$subtype</var><text>&#160;</text><var>==</var><text>&#160;</text><var>44</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$subtype</var><text>&#160;</text><var>==</var><text>&#160;</text><var>50</var></line>
<line linenr="036" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[DOCKEDAT]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$bought.amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="037" indent="&#160;"><text>end</text></line>
<line linenr="038" indent="&#160;"></line>
<line linenr="039" indent="&#160;"><text>return&#160;</text><var>$bought.amount</var></line>
<line linenr="040" indent="&#160;"></line>
<line linenr="041" indent="&#160;"></line>
<line linenr="042" indent=""><comment><text>*&#160;</text><var>---Selling---</var></comment></line>
<line linenr="043" indent=""><var>else&#160;if&#160;</var><var>$cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'sell'</var></line>
<line linenr="044" indent="&#160;"></line>
<line linenr="045" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;set&#160;amount&#160;if&#160;not&#160;set</var></comment></line>
<line linenr="046" indent="&#160;"><var>skip&#160;if&#160;</var><var>$amount</var></line>
<line linenr="047" indent="&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$cur.amount</var></line>
<line linenr="048" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;sell&#160;ware</var></comment></line>
<line linenr="049" indent="&#160;"><var>$amount.sold&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;sell&#160;</text><var>$amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="050" indent="&#160;"></line>
<line linenr="051" indent="&#160;"><text>return&#160;</text><var>$amount.sold</var></line>
<line linenr="052" indent=""><text>end</text></line>
<line linenr="053" indent=""></line>
<line linenr="054" indent=""></line>
<line linenr="055" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="lib.Xai.trade" /><sval type="int" val="25" /><sval type="string" val="Handles trading at stations" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="array" size="9"><sval type="string" val="cmd" /><sval type="string" val="Ware" /><sval type="string" val="amount" /><sval type="string" val="cur.amount" /><sval type="string" val="bought.amount" /><sval type="string" val="owner.race" /><sval type="string" val="maintype" /><sval type="string" val="subtype" /><sval type="string" val="amount.sold" /></sval><sval type="array" size="24"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536870393" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611197" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608123" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="buy" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536868601" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="8"><sval type="int" val="601" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608637" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="655" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="656" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="49"><sval type="int" val="104" /><sval type="int" val="-536866809" /><sval type="int" val="15" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="44" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="50" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="3" /><sval type="int" val="-5" /><sval type="int" val="10" /><sval type="int" val="-8" /><sval type="int" val="0" /><sval type="int" val="-9" /><sval type="int" val="10" /><sval type="int" val="-12" /><sval type="int" val="0" /><sval type="int" val="-13" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606843" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="sell" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536865529" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="603" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="11" /><sval type="string" val="Command" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="Ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Quantity" /></sval></sval><sval type="array" size="33"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporaton." /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="buy, sell" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="check we are docked" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val=" get current amount in hold" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="   Start command switch" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="--------------------------------------" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="do nothing if amount is 0" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="---Buying---" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="7" /><sval type="int" val="1" /><sval type="string" val=" - set amount if not set" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val=" - buy ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="10" /><sval type="int" val="1" /><sval type="string" val=" - work around for buy upgrades game breaking feature" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="17" /><sval type="int" val="1" /><sval type="string" val="---Selling---" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="19" /><sval type="int" val="1" /><sval type="string" val=" - set amount if not set" /></sval><sval type="array" size="3"><sval type="int" val="21" /><sval type="int" val="1" /><sval type="string" val=" - sell ware" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
